<?php

// QuickTicket 2.1 build:20090411

session_start();

if ( isset($_SESSION['qti_setup_lang']) ) { $strLang = $_SESSION['qti_setup_lang']; } else { $strLang = 'en'; }
include('qti_lang_'.$strLang.'.php');
include('../bin/config.php');
include('../bin/qt_lib_db.php');

$strAppl = 'QuickTicket 2.1';
$strPrevUrl = 'qti_setup_2.php';
$strNextUrl = '../qti_usr_login.php?dfltname=Admin';
$strPrevLabel= $L['Back'];
$strNextLabel= $L['Finish'];
$strMessage = '';

// CHECK DB VERSION (in case of update)

$oDB = new cDB($qti_dbsystem,$qti_host,$qti_database,$qti_user,$qti_pwd,$qti_port,$qti_dsn);
if ( !empty($oDB->error) ) die ('<p style="color:red">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</p>');

$oDB->Query('SELECT setting FROM '.$qti_prefix.'qtisetting WHERE param="version"');
$row=$oDB->Getrow();

// CANNOT UPGRADE

if ( !in_array($row['setting'],array('1.9','2.0','2.1')) ) die('Please, upgrade your applicatio to version 2.0.');

// UPGRADE 1.9 TO 2.0

if ( $row['setting']=='1.9' )
{
  $oDB->Query('INSERT INTO '.$qti_prefix.'qtisetting VALUES ("tags", "M", "1")');
  $oDB->Query('DELETE FROM '.$qti_prefix.'qtisetting WHERE param="javamail"');

  switch($oDB->type)
  {
  case 'mysql4':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD sortfield varchar(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD logo varchar(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD stats varchar(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD tags varchar(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ADD photo varchar(24)');
    break;
  case 'access':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD sortfield varchar(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD logo varchar(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD stats varchar(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD tags varchar(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ADD photo varchar(24)');
    break;
  case 'sqlite':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD sortfield text');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD logo text');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD stats text');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD tags text');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ADD photo text');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD sortfield varchar2(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD logo varchar2(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD stats varchar2(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD tags varchar2(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ADD photo varchar2(24)');
    break;
  default:
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD sortfield varchar(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD logo varchar(24)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiforum ADD stats varchar(255)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD tags varchar(4000)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ADD photo varchar(24)');
    break;
  }
  $oDB->Query('UPDATE '.$qti_prefix.'qtisetting SET setting="2.0" WHERE param="version"');

  // update section stats
  
  $oDB->Query('SELECT id,topics,replies FROM '.$qti_prefix.'qtiforum');
  $arrList = array();
  while($row = $oDB->Getrow()) { $arrList[]=$row; }
  foreach($arrList as $arr) { $oDB->Query( 'UPDATE '.$qti_prefix.'qtiforum SET stats="topics='.(empty($arr['topics']) ? '0' : $arr['topics']).';replies='.(empty($arr['replies']) ? '0' : $arr['replies']).';tags=0" WHERE id='.$arr['id'] ); }

  // update photo from avatar

  $oDB->Query('SELECT id,avatar FROM '.$qti_prefix.'qtiuser');
  $arr = array();
  while($row=$oDB->Getrow())
  {
    if ( !empty($row['avatar']) ) $arr[$row['id']]=$row['avatar'];
  }
  foreach ($arr as $strKey=>$strValue)
  {
  $oDB->Query( 'UPDATE '.$qti_prefix.'qtiuser SET photo="'.$strKey.'.'.$strValue.'" WHERE id='.$strKey );
  }
  
  // update uploaded document
  
  $oDB->Query('SELECT id,attach FROM '.$qti_prefix.'qtipost');
  $arr = array();
  while($row=$oDB->Getrow())
  {
    if ( !empty($row['attach']) ) $arr[$row['id']]=$row['attach'];
  }

  foreach ($arr as $strKey=>$strValue)
  {
  $oDB->Query( 'UPDATE '.$qti_prefix.'qtipost SET attach="'.$strKey.'_'.$strValue.'" WHERE id='.$strKey );
  }
  
  $row['setting']='2.0';
  $strMessage .= '<p>Database upgraded to 2.0</p>';

}

// UPDAGRADE 2.0 TO 2.1

if ( $row['setting']=='2.0' )
{
  switch($oDB->type)
  {
  case 'sqlite':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD statusdate text');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD statusdate varchar2(20)');
    break;
  default:
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ADD statusdate varchar(20)');
    break;
  }
  $oDB->Query('INSERT INTO '.$qti_prefix.'qtisetting VALUES ("sys_change", "0", "1")');
  $oDB->Query('UPDATE '.$qti_prefix.'qtisetting SET setting="2.1" WHERE param="version"');
  
  $row['setting']='2.1';
  $strMessage .= '<p>Database upgraded to 2.1</p>';
}

// --------
// HTML START
// --------

include('qti_setup_hd.php');

if (!empty($strMessage) ) echo $strMessage;

if ( isset($_SESSION['qtiInstalled']) )
{
echo '<p>Database 2.1 in place.</p>';
echo '<p>',$L['S_install_exit'],'</p>';
echo '<div style="width:350px; padding:10px; border-style:solid; border-color:#FF0000; border-width:1px; background-color:#EEEEEE">',$L['End_message'],'<br/>',$L['User'],': <b>Admin</b><br/>',$L['Password'],': <b>Admin</b><br/></div><br/>';
}
else
{
echo $L['N_install'];
}

echo '<p><a href="../check.php">',$L['Check_install'],'</a></p>';

// --------
// HTML END
// --------

include('qti_setup_ft.php');

// --------
// SESSION DESTROY
// --------

$_SESSION=array();
session_destroy();
if ( isset($qti_install) ) { define('QT','qti'.substr($qti_install,-1)); } else { define('QT','qti'); }
if ( isset($_COOKIE[QT.'_cookname']) ) setcookie(QT.'_cookname', '', time()+60*60*24*100, '/');
if ( isset($_COOKIE[QT.'_cookpass']) ) setcookie(QT.'_cookpass', '', time()+60*60*24*100, '/');

?>
