<b>Login and Registration Issues</b><br/>
<a href="#L1">Why registering?</a><br/>
<a href="#L2">How registering?</a><br/>
<a href="#L3">Can I hide my E-mail?</a><br/>
<a href="#L4">Lost password!</a><br/>
<a href="#L5">I registered in the past but cannot log in anymore!</a><br/>
<a href="#L6">Why can't I log in?</a><br/>
<br/>
<b>User Preferences and settings</b><br/>
<a href="#S1">How do I change my profile?</a><br/>
<a href="#S2">How do I show an image with my username?</a><br/>
<a href="#S3">How do I change my rank?</a><br/>
<a href="#S4">I cannot click the e-mail of a user</a><br/>
<br/>
<b>Posting Issues</b><br/>
<a href="#P1">How do I post a ticket in a section?</a><br/>
<a href="#P2">How do I edit or delete a post?</a><br/>
<a href="#P3">How do I add a signature to my post?</a><br/>
<a href="#P4">Why can't I access a section?</a><br/>
<a href="#P5">Which sections are accessible to me?</a><br/>
<br/>
<b>Formatting and Ticket Types</b><br/>
<a href="#F1">What is BBCode?</a><br/>
<a href="#F2">Can I use HTML?</a><br/>
<a href="#F3">What are Prefix icons?</a><br/>
<a href="#F4">Can I post Images?</a><br/>
<a href="#F5">What are News?</a><br/>
<a href="#F6">What are Locked tickets?</a><br/>
<br/>
<b>User Levels</b><br/>
<a href="#U1">What are Administrators?</a><br/>
<a href="#U2">What are Section coordinators?</a><br/>
<br/>
<br/>
<a id="L1"></a><b>Why registering?</b><br/>
You may not have to. It is up to the administrator of the board as to whether you need to register in order to view, search or post messages. It only takes a few minutes to register so it is recommended you do so.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L2"></a><b>How registering?</b><br/>
In the registration page you will find the usage policy. Read it carefully. If you agree with the terms and conditions, you can choose your username. Depending on the registration security defined by the Administrator you will have to directly choose your password and confirm it, OR enter your e-mail address (a temporary password will be send to you).
You will also have to copy a code displayed in the form.
If the username you choose is already used by a board member, you will have to choose an other username.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L3"></a><b>Can I hide my E-mail?</b><br/>
In your profile you will find a privacy option allowing you to hide your e-mail for unregistered visitors or for members.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L4"></a><b>Lost password!</b><br/>
Don't panic! While your password cannot be retrieved it can be reset. Go to the login page and click Forgotten password. Follow the instructions and you should be back online in no time.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L5"></a><b>I registered in the past but cannot log in anymore!</b><br/>
The most likely reasons for this are: you entered an incorrect username or password (check the email you were sent when you first registered) or the administrator has deleted your account for some reason. If it is the latter case then perhaps you did not post anything? It is usual for boards to periodically remove users who have not posted anything so as to reduce the size of the database. Try registering again and get involved in discussions.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="L6"></a><b>Why can't I log in?</b><br/>
Have you registered? Seriously, you must register in order to log in. Have you been banned from the board? (A message will be displayed if you have.) If so, you should contact the webmaster or board administrator to find out why. If you have registered and are not banned and you still cannot log in then check and double-check your username and password. Usually this is the problem; if not, contact the board administrator.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S1"></a><b>How do I change my profile?</b><br/>
Your profile (if you are registered) is stored in the database. To alter them click the Profile link (or on your username in any list page). This will allow you to change all your information.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S2"></a><b>How do I show an image with my username?</b><br/>
There may be one image below a username when viewing posts. This image is sometime an avatar. It is up to the board administrator to enable user's picture. If you are unable to add your photo (or avatar) from the Profile page, it's because the administrator decide it, certainly for good reasons.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S3"></a><b>How do I change my rank?</b><br/>
You cannot change the wording of any rank (ranks appear next to your username in the memberlist and bellow your name in the message pages). This board use ranks to identify certain roles. For example, staff members and administrators have special roles. It's up to an administrator to promote a member to the staff rank. A staff member has the right to close/re-open a ticket, to move a ticket to the correct section, and to modify the content. An administrator can also perform these actions (and much more). 
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="S4"></a><b>I cannot click the e-mail of a user</b><br/>
Sorry, but users can prevent unregistered users (or event members) from seeing their e-mail. In this situation, you will not be able to see the e-mail in the user's profile page nor from the memberlist page.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P1"></a><b>How do I post a ticket in a section?</b><br/>
Easy. Click the relevant button on ticket screens. You may need to register before you can post a message.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P2"></a><b>How do I edit or delete a post?</b><br/>
Unless you are the board admin or staff members you can only edit or delete your own posts. You can edit a post by clicking the edit button for the relevant post. If someone has already replied to the post, you will find a small piece of text output below the post; it also will appear if staff members or administrators edit the post (they should leave a message saying what they altered and why). Please note that normal users cannot delete a post once someone has replied.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P3"></a><b>How do I add a signature to my post?</b><br/>
To add a signature to a post you must first create one; this is done via your profile. When a signature is created, it will be displayed with your message. To hide your signature, just change it to an empty text in your profile.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P4"></a><b>Why can't I access the sections or the messages?</b><br/>
The board administrator can decide to limit the access for unregistered users. In this case, only registered users will be granted to see the sections and the messages. In other cases, unregistered users can see the sections and the tickets list, but are not allowed to see the replies. It's the same for the search tool or the memberlist. It's up to the board administrator to decide which part of the board is accessible for visitors.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="P5"></a><b>Which sections are accessible to me?</b><br/>
Members can access two kinds of sections. The public sections and the private sections. A third king is visible only for the staff members and the administrators. In a private section, the user will only see his own tickets, while in a public section, all tickets and replies are visible by the board members. Note that a section can be closed. This means that it is still accessible, but further posts are no more possible.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F1"></a><b>What is BBCode?</b><br/>
BBCode is a special implementation of HTML. Whether you can use BBCode is determined by the administrator. BBCode itself is similar in style to HTML: tags are enclosed in square braces [ and ] rather than &lt; and &gt; and it offers greater control over what and how something is displayed.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F2"></a><b>Can I use HTML?</b><br/>
Yes. To ensure a better readability, it is recommended to enclose your html with the BBC tags [code] and [/code].
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F3"></a><b>What are Prefix icons?</b><br/>
Makers or Smileys (Emoticons) are small graphical images which can be used to express some feeling or to flag a ticket. You can add a prefix icon to your ticket (or your replies) from the posting page.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F4"></a><b>Can I post Images?</b><br/>
Images as well as other documents can indeed be attached in your posts. It's up to the Administrator to define which type of document and which document size are allowed. If allowed, you can display the attached image in your text by using the BBCode [img]@[/img].
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F5"></a><b>What are News?</b><br/>
News often containing important information and you should read them as soon as possible. News are displayed with a distinct icon (generally news are displayed at the top of the tickets list to which they are posted). Only staff members and administrators can send News.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="F6"></a><b>What are Closed tickets?</b><br/>
Closed tickets are set this way by either the section mediator or board administrator. You cannot reply to closed tickets. Tickets may be closed for many reasons.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="U1"></a><b>What are Administrators?</b><br/>
Administrators are people assigned the highest level of control over the entire board. These people can control all facets of board operation which include setting permissions, banning users, creating staff members, controlling the board security, style, etc. They also have full capabilities of the staff members, in all sections.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

<a id="U2"></a><b>What are Section coordinators?</b><br/>
Section coordinators are individuals whose job it is to look after the running of the sections from day to day. Like the staff members, they have the power to edit or delete posts and close, re-open, move, and delete tickets in the section they are responsible for. Generally coordinators are there to help users, to prevent people going off-topic or posting abusive or offensive material.
<br/>
<a href="#top" class="small">Back to top</a><br/><br/>

