<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.1 build:20090411
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qti_init.php');
if ( !$oVIP->CanAccess('MUV',4) ) HtmlPage(101);

include(Translate('qti_stat.php'));

// INITIALISE

$intYear = date('Y');
  if ( intval(date('n'))<2 ) $intYear--;
  if ( isset($_GET['year']) ) $intYear = intval($_GET['year']);
$arrYears = array($intYear-1=>$intYear-1,$intYear=>$intYear);

$s = -1; if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( $s>=0 ) { $strSection = 'forum='.$s.' AND'; } else { $strSection=''; }

$tt = 'g';
if ( isset($_GET['tt']) ) $tt = strip_tags($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = strip_tags($_POST['tt']);
$bt = 'm';
if ( isset($_GET['bt']) ) $bt = strip_tags($_GET['bt']);
if ( isset($_POST['bt']) ) $bt = strip_tags($_POST['bt']);
$gr = 'a';
if ( isset($_GET['gr']) ) $gr = strip_tags($_GET['gr']);
if ( isset($_POST['gr']) ) $gr = strip_tags($_POST['gr']);
$tr = 'a';
if ( isset($_GET['tr']) ) $tr = strip_tags($_GET['tr']);
if ( isset($_POST['gr']) ) $tr = strip_tags($_POST['tr']);
$tag = '';
if ( isset($_GET['tag']) ) $tag = strip_tags($_GET['tag']);
if ( isset($_POST['tag']) ) $tag = strip_tags($_POST['tag']);
$strTags = '';
if ( !empty($tag) )
{
  if ( substr($tag,-1,1)==';' ) $tag = substr($tag,0,-1); 
  $arrTags = explode(';',$tag);
  $str = '';
  foreach($arrTags as $strTag)
  {
    if ( !empty($str) ) $str .= ' OR ';
    $str .= 'UPPER(t.tags) LIKE "%'.strtoupper($strTag).'%"';
  }
  if ( !empty($str) ) $strTags = ' ('.$str.') AND';
}

  // FIRST/LAST DATE

  $query = 'SELECT min(firstpostdate) as startdate, max(firstpostdate) as lastdate FROM '.TABTOPIC;
  $oDB->Query($query);
  $row = $oDB->Getrow();

  if ( empty($row['startdate']) ) $row['startdate']=strval($intYear-1).'0101';
  if ( empty($row['lastdate']) ) $row['lastdate']=strval($intYear).'1231';

  $strFirstdate = QTdatestr($row['startdate']);
  $strLastdate = QTdatestr($row['lastdate']);

  $strLastdaysago = substr($row['lastdate'],0,8);
  $strTendaysago = DateAdd($strLastdaysago,-10,'day');

$intStartyear = intval(date('Y',strtotime($row['startdate'])));
$intStartmonth = intval(date('n',strtotime($row['startdate'])));
$intEndyear = intval(date('Y'));
$intEndmonth = intval(date('n'));

$arrAllYears = array();
for ($i=$intStartyear;$i<=$intEndyear;$i++)
{
  $arrAllYears[$i]=$i;
}
$arrYears = array($intEndyear-1=>$intEndyear-1,$intEndyear=>$intEndyear);

$oVIP->selfurl = 'qti_stats.php';
$oVIP->selfname = $L['Statistics'];

// --------
// HTML START
// --------

$arrTags = cSection::GetTagsUsed(-1);
$str  = '';
foreach($arrTags as $strName=>$strDesc) { $str .= '{n:"'.$strName.'",d:"'.($strName==$strDesc ? ' ' : substr($strDesc,0,64)).'"},'; }
$str = substr($str,0,-1);

$arrCss = array('qt_jquery.css','qti_main2.css'); 
$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
<script type="text/javascript">
<!--
function FlushTag() { $("#tag").flushCache(); }
$(document).ready(function() {
  var arrData = ['.$str.'];
  $("#tag").autocomplete(arrData,{
    minChars:0,
    width:190,
    multiple:true,
    multipleSeparator:";",
    formatItem: function(row) { return (row.d==" ") ? row.n : (row.n + "<span class=small> - " + row.d + "</span>"); },    
    formatResult: function(row) { return row.n; }
    });
});
-->
</script>
'; 

$bJava = false;

include('qti_p_header.php');

$arrSections = GetSectionTitles($oVIP->role);

// OPTIONS

echo '<table class="hidden" cellspacing="0">';
echo '<tr class="hidden">';
echo '<td class="hidden"><h1>',$L['Statistics'],'</h1></td>',N;
echo '<td class="hidden">&nbsp;</td>',N;
echo '<td class="hidden" style="width:450px">
<form method="get" action="',$oVIP->selfurl.'">
<div class="legendbox optionstats">
<p class="legendtitle">',$L['Options'],'</p>
';
if ( $_SESSION[QT]['tags']=='0' )
{
  echo '<p style="text-align:right">',$L['Year'],'&nbsp;<select class="small" name="year" id="year">',QTastags($arrYears,null,$intYear),'</select> ';
  if ( count($arrSections)>0 ) echo  $L['Section'],'&nbsp;<select class="small" name="s" id="s"><option value="-1">'.$L['In_all_sections'].'</option>'.QTastags($arrSections,null,$s).'</select> ';
  echo '<input type="hidden" name="bt" value="',$bt,'"/><input type="hidden" name="gr" value="',$gr,'"/><input type="hidden" name="tt" value="',$tt,'"/><input type="submit" name="ok" class="small" value="',$L['Ok'],'"/>&nbsp;</p>';
}
else
{
  echo '<table class="hidden">
  <tr class="hidden">
  <td class="hidden">',$L['Year'],'</td>
  <td class="hidden">',(count($arrSections)>0 ? $L['Section'] : '&nbsp;'),'</td>
  <td class="hidden">',$L['Tag'],'</td>
  <td class="hidden">&nbsp;</td>
  </tr>
  <tr class="hidden">
  <td class="hidden"><select class="small" name="year" id="year">',QTastags($arrYears,null,$intYear),'</select></td>
  <td class="hidden">',(count($arrSections)>0 ? '<select class="small" name="s" id="s"><option value="-1">'.$L['In_all_sections'].'</option>'.QTastags($arrSections,null,$s).'</select>' : '&nbsp;'),'</td>
  <td class="hidden"><input class="small" type="text" id="tag" name="tag" size="20" value="',$tag,'"/></td>
  <td class="hidden"><input type="hidden" name="bt" value="',$bt,'"/><input type="hidden" name="gr" value="',$gr,'"/><input type="hidden" name="tt" value="',$tt,'"/><input type="submit" name="ok" class="small" value="',$L['Ok'],'"/></td>
  </tr>
  </table>';
}
echo '
</p>
</div>
</form>
</td>
</tr>
</table>
';

// STATISTIC TABS

$arrTabs = array();
$arrTabs['g'] = array('tabname'=>$L['Global'],'tabdesc'=>$L['H_Global']);
$arrTabs['gt'] = array('tabname'=>$L['Global_trends'],'tabdesc'=>$L['H_Global_trends']);
$arrTabs['d'] = array('tabname'=>$L['Details'],'tabdesc'=>$L['H_Details']);
$arrTabs['dt'] = array('tabname'=>$L['Details_trends'],'tabdesc'=>$L['H_Details_trends']);

$arrTimeblocks = array();
$arrTimeblocks[] = ($bt=='q' ? $L['Per_q'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;year='.$intYear.'&amp;tt='.$tt.'&amp;bt=q&amp;gr='.$gr.'&amp;tag='.$tag.'" class="small">'.$L['Per_q'].'</a>');
$arrTimeblocks[] = ($bt=='m' ? $L['Per_m'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;year='.$intYear.'&amp;tt='.$tt.'&amp;bt=m&amp;gr='.$gr.'&amp;tag='.$tag.'" class="small">'.$L['Per_m'].'</a>');
$arrTimeblocks[] = ($bt=='d' ? $L['Per_d'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;year='.$intYear.'&amp;tt='.$tt.'&amp;bt=d&amp;gr='.$gr.'&amp;tag='.$tag.'" class="small">'.$L['Per_d'].'</a>');

$arrTrendtypes = array();
$arrTrendtypes[] = ($tr=='a' ? $L['Per_a'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;year='.$intYear.'&amp;tt='.$tt.'&amp;bt='.$bt.'&tr=a&amp;gr='.$gr.'&amp;tag='.$tag.'" class="small">'.$L['Per_a'].'</a>');
$arrTrendtypes[] = ($tr=='p' ? $L['Per_p'] : '<a href="'.$oVIP->selfurl.'?s='.$s.'&amp;year='.$intYear.'&amp;tt='.$tt.'&amp;bt='.$bt.'&tr=p&amp;gr='.$gr.'&amp;tag='.$tag.'" class="small">'.$L['Per_p'].'</a>');

echo HtmlTabs($arrTabs, $oVIP->selfurl.'?s='.$s.'&amp;year='.$intYear.'&amp;bt='.$bt.'&amp;gr='.$gr.'&amp;tag='.$tag, $tt);

echo '<table class="pan" cellspacing="0">
<tr class="pan">
<td class="pan">
<div class="pan_top">',$arrTabs[$tt]['tabdesc'],'</div>
';

switch($tt)
{
case 'g': include('qti_stats_g.php'); break;
case 'gt': include('qti_stats_gt.php'); break;
case 'd': include('qti_stats_d.php'); break;
case 'dt': include('qti_stats_dt.php'); break;
default: die('Invalid tab');
}

echo '
</td>
</tr>
</table>
';

// CSV

if ( file_exists('qti_stats_'.$tt.'_csv.php') )
{
  echo '<p style="margin:2px;text-align:right"><a href="qti_stats_'.$tt.'_csv.php?s='.$s.'&amp;year='.$intYear.'&amp;tt='.$tt.'&amp;bt='.$bt.'&tr='.$tr.'&amp;gr='.$gr.'&amp;tag='.$tag.'">csv</a></p>';
}

// HTML END

include('qti_p_footer.php');

?>