<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.1 build:20090411
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qti_init.php');
if ( $_SESSION[QT]['visitor_right']<2 && $oVIP->role=='V' ) HtmlPage(101);
if ( !$oVIP->CanAccess('MUV',2,true) ) HtmlPage(101);

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 ) die('Missing section id...');

// ---------
// SUBMITTED
// ---------

if ( isset($_POST['Mok']) )
{
  if ( $_POST['Maction']=='nt' )
  {
    if ( headers_sent() )
    {
    echo '<a href="qti_form_edit.php?s=',$s,'&amp;a=nt">',$L['Post_new_topic'],'</a><meta http-equiv="REFRESH" content="0;url=qti_form_edit.php?s=',$s,'&amp;a=nt">';
    }
    else
    {
    header('Location: qti_form_edit.php?s='.$s.'&a=nt');
    }
    exit;
  }
  if ( $_POST['Maction']=='show_Z' ) $_SESSION[QT]['show_closed']='1';
  if ( $_POST['Maction']=='hide_Z' ) $_SESSION[QT]['show_closed']='0';
  if ( $_POST['Maction']=='print' )
  {
    echo 'No yet developped';
    exit;
  }
  if ( !empty($_POST['infofield']) )
  {
    $_SESSION[QT]['lastcolumn']=$_POST['infofield']; // can be N (none)
  }
}

// ---------
// INITIALISE
// ---------

include('bin/qti_fn_limitsql.php');

$oSEC = new cSection($s);

if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qti_topics.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strCommand = '';
$numid = '';

$strOrder = 'lastpostdate';
$strDirec = 'DESC';
$intPage = 1;
$intLimit = 0;
if ( isset($_GET['page']) ) { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) $strOrder = $_GET['order'];
if ( isset($_GET['dir']) ) $strDirec = $_GET['dir'];

if ( QTI_LIST_ME && $oVIP->numpost>0)
{
$oDB2 = new cDB($qti_dbsystem,$qti_host,$qti_database,$qti_user,$qti_pwd,$qti_port,$qti_dsn);
}

// MAP MODULE

$bMap = UseModule('map');
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtim_map_lib.php'); if ( !QTgcanmap($s,$oVIP->role) ) $bMap=false; }
if ( $bMap ) include(Translate('qtim_map.php'));

// --------
// HTML START
// --------

$strHeadScript ='';

if ( $bMap )
{
  $arrMapPoints = array();
  $strHeadScript .= QTgmapheader('http://gmaps-utility-library.googlecode.com/svn/trunk/markermanager/release/src/markermanager.js');
  $strBodyAddOnunload='GUnload()';
  if ( isset($_GET['hidemap']) ) $_SESSION[QT]['m_map_hidelist']=true;
  if ( isset($_GET['showmap']) ) $_SESSION[QT]['m_map_hidelist']=false;
  if ( !isset($_SESSION[QT]['m_map_hidelist']) ) $_SESSION[QT]['m_map_hidelist']=false;
}

$strHeadScript .= '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
  $(".tag").hover(function() {
    var oTag = $(this);
    $.post("qti_j_tag.php",{s:"'.$s.'",val:oTag.html(),lang:"'.$_SESSION[QT]['lang_iso'].'",na:"..."}, function(data) { oTag.attr({title:data}); } );
    });
  });
-->
</script>
';

$bJava = false;
include('qti_p_header.php');

// SECTION OPTIONS

if ( $oSEC->status==1 )
{
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['E_section_closed'].'&nbsp;</span></td>';
}
else
{
  $strCommand = '<td class="button" style="width:120px">&nbsp;<a class="button" href="qti_form_edit.php?s='.$oSEC->id.'&amp;a=nt">'.$L['Post_new_topic'].'</a>&nbsp;</td>';
  if ( $oVIP->role=='V' && $_SESSION[QT]['visitor_right']<7 )
  {
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['Post_new_topic'].'&nbsp;</span></td>';
  }
}

$strWhere = '';
if ( $oSEC->type==2 && $oVIP->role!='M' && $oVIP->role!='A' ) $strWhere = ' AND t.firstpostuser='.$oVIP->id;
if ( $_SESSION[QT]['show_closed']=='0' ) $strWhere.=' AND t.status<>"Z"'; 


// BUTTON LINE AND PAGER

$oDB->Query( 'SELECT count(*) as countid FROM '.TABTOPIC.' t WHERE t.forum='.$oSEC->id.$strWhere );
$row = $oDB->Getrow();
$intCount = $row['countid'];
$strPager = MakePager("$oVIP->selfurl?s=$oSEC->id&amp;order=$strOrder&amp;dir=$strDirec",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ($strPager!='') $strPager = $L['Page'].$strPager;

// BUTTONS

$strCommand = ( QTI_BACKBUTTON ? '<td class="button" style="width:20px"><a href="'.$oVIP->exiturl.'" class="button">'.QTI_BACKBUTTON.'</a></td>' : '').N.$strCommand.N.'<td></td>';

// Moderator Actions

if ( $oVIP->role=='M' || $oVIP->role=='A' )
{
$arr = array('views'=>$L['Views'],'wisheddate'=>$L['Wisheddate'],'status'=>$L['Status'],'id'=>'Id','actorname'=>$L['Userrole_MA'],'notifiedname'=>$L['Userrole_UN']);
if ( !empty($_SESSION[QT]['tags']) ) $arr['tags']=$L['Tags'];
echo '
<form method="post" action="qti_topics.php?s=',$s,'" id="modaction">
<div class="modboard">
<span class="modboard">',$L['Userrole'][$oVIP->role],' <input type="hidden" name="s" value="',$oSEC->id,'"/>
<select name="Maction" class="small" onchange="document.getElementById(\'action_ok\').click();">
<option value="">',S,'</option>
<option value="nt">',$L['Post_new_topic'],'...</option>
<option value="" disabled="disabled">---------------</option>
<option value="show_Z"',($_SESSION[QT]['show_closed'] ? ' class="bold"' : ''),'>',$L['Topic_closed_show'],'</option>
<option value="hide_Z"',(!$_SESSION[QT]['show_closed'] ? ' class="bold"' : ''),'>',$L['Topic_closed_hide'],'</option>
</select> ',$L['Last_column'],S;
echo '<select id="infofield" name="infofield" class="small" onchange="document.getElementById(\'action_ok\').click();">';
echo '<option value="">',S,'</option>';
echo QTastags($arr,null,null,null,$oSEC->infofield,'bold');
echo '<option value="N" '.($oSEC->infofield=='N' ? ' class="bold"' : '').' class="small">('.$L['None'].')</option>
</select> <input type="submit" name="Mok" value="',$L['Ok'],'" class="small" id="action_ok"/>
<script type="text/javascript">
<!--
document.getElementById("action_ok").style.visibility="hidden";
document.getElementById("action_ok").value="";
-->
</script>
</span>
</div>
</form>',N;
}

// End Moderator actions

if ($_SESSION[QT]['section_desc']=='1')
{
  if (!empty($oSEC->descr)) echo '<!-- Section description -->',N,'<p id="sectiondesc">',$oSEC->descr,'</p>',N,'<!-- Section description -->',N,N;
}

echo '
<!-- Button and pager -->
<table class="button button_top" cellspacing="0">
<tr class="button">',N,$strCommand,N,'<td id="pager_zt">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';

// DISPLAY

if ( $intCount==0 )
{
  echo '<br/>',$L['None'],'... ',$L['E_topic_private'],'<br/><br/>',N;
  include('qti_p_footer.php');
  exit;
}

// LIST TOPICS

$strExtra = $oSEC->infofield; // can be "N" (moderator requests no-field)
if ( !empty($_SESSION[QT]['lastcolumn']) ) $strExtra = $_SESSION[QT]['lastcolumn'];

switch($strExtra)
{
case 'replies': $strExtraLabel=$L['Replys']; break;
case 'views': $strExtraLabel=$L['Views']; break;
case 'status': $strExtraLabel=$L['Status']; break;
case 'wisheddate': $strExtraLabel=$L['Wisheddate']; break;
case 'id': $strExtraLabel='Id'; break;
case 'actorname': $strExtraLabel=$L['Userrole_MA']; break;
case 'notifiedname': $strExtraLabel=$L['Userrole_UN']; break;
case 'tags': $strExtraLabel=$L['Tags']; break;
default: $strExtraLabel=$strExtra;
}

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array(); // TEXT['S'] SORT[false] CLASS[''] STYLE['']
$arrFields['icon'] = array('thclass'=>'th_t th_t_ico th_t_first');
if ( $oSEC->numfield!='N' )
{
$arrFields['numid'] = array('text'=>$L['Ref'],'sort'=>TRUE,'thclass'=>'th_t th_t_ref' );
}
if ( !empty($oSEC->prefix) )
{
$arrFields['smile'] = array('thclass'=>'th_t th_t_smi');
}
$arrFields['title'] = array('text'=>$L['Topics'],'sort'=>TRUE,'thclass'=>'th_t th_t_tit');
if ( QTI_LIST_ME )
{  
$arrFields['you'] = array('thclass'=>'th_t th_t_inf','thstyle'=>'width:10px');
}
$arrFields['firstpostname'] = array('text'=>$L['Topic_starter'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:140px');
$arrFields['lastpostdate'] = array('text'=>$L['Last_message'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:140px');
if ( $strExtra=='N' || $strExtra=='replies' )
{
$arrFields['replies'] = array('text'=>$L['Replys'],'sort'=>TRUE,'thclass'=>'th_t th_t_last th_t_sta','thstyle'=>'width:75px');
}
else
{
$arrFields['replies'] = array('text'=>$L['Replys'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta','thstyle'=>'width:75px');
$arrFields[$strExtra] = array('text'=>$strExtraLabel,'sort'=>($strExtra=='tags' ? FALSE : TRUE),'thclass'=>'th_t th_t_sta th_t_last','thstyle'=>'width:80px','tdstyle'=>($strExtra=='status' ? 'background-color:%bg' : ''));
}
/* ======== */
TableHeader($arrFields,$intCount,"$oVIP->selfurl?s=$oSEC->id&amp;page=1",$strOrder,$strDirec);
/* ======== */

echo '</tr>',N;

/* ======== */
$strState  = 't.*, p.title, p.icon, p.textmsg FROM '.TABTOPIC.' t INNER JOIN '.TABPOST.' p ON t.firstpostid=p.id WHERE t.forum='.$oSEC->id.$strWhere;
if ( $strOrder=='title' ) { $str='p.title'; } else { $str='t.'.$strOrder; }
if ( $_SESSION[QT]['news_on_top']==1 ) $str = 't.type ASC, '.$str;
$oDB->Query( LimitSQL($strState,$str.' '.$strDirec,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );
/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,true,$oSEC,$strAlt,$strExtra,$bMap);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }

  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="tf_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>
</table>
';

// BUTTON LINE AND PAGER

// define csv options according to $intCount (max 10000)

$strCsv ='';
if ( $oVIP->role!='V' )
{
  if ( $intCount<=$_SESSION[QT]['topics_per_page'] )
  {
  $strCsv = '<a href="qti_topics_csv.php?s='.$s.'&amp;size=all&amp;n='.$intCount.'" class="a_csv">csv</a>';
  }
  else
  {
  $strCsv = '<a href="qti_topics_csv.php?s='.$s.'&amp;size=p'.$intPage.'&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="a_csv">csv <span class="small">('.strtolower($L['Page']).')</span></a>';
  if ( $intCount<=1000 )                   $strCsv .= ' &middot; <a href="qti_topics_csv.php?s='.$s.'&amp;size=all&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="a_csv">csv <span class="small">('.strtolower($L['All']).')</span></a>';
  if ( $intCount>1000 && $intCount<=2000 ) $strCsv .= ' &middot; <a href="qti_topics_csv.php?s='.$s.'&amp;size=m1&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="a_csv">csv <span class="small">(1-1000)</span></a> &middot; <a href="qti_topics_csv.php?s='.$s.'&amp;size=m2&amp;n='.$intCount.'" class="a_csv">csv <span class="small">(1000-'.$intCount.')</span></a>';
  if ( $intCount>2000 && $intCount<=5000 ) $strCsv .= ' &middot; <a href="qti_topics_csv.php?s='.$s.'&amp;size=m5&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="a_csv">csv <span class="small">(1-5000)</span></a>';
  if ( $intCount>5000 )                    $strCsv .= ' &middot; <a href="qti_topics_csv.php?s='.$s.'&amp;m=5&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="a_csv">csv <span class="small">(1-5000)</span></a> &middot; <a href="qti_topics_csv.php?s='.$s.'&amp;m=10&amp;n='.$intCount.'" class="a_csv">csv <span class="small">(5000-10000)</span></a>';
  }
}
if ( !empty($strCsv) )
{
  $strPager = $strCsv.' &middot; '.$strPager;
  if ( substr($strPager,-10,10)==' &middot; ' ) $strPager = substr($strPager,0,-10);
}

// display button, pager and csv

if ( $intCount>2 )
{
echo '
<!-- Button and pager -->
<table class="button button_bot" cellspacing="0">
<tr class="button">',N,$strCommand,N,'<td id="pager_zb">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';
}
else
{
echo '<p class="csv">',$strPager,'</p>';
}

// TAGS FILTRING

if ( QTI_LIST_TAG && !empty($_SESSION[QT]['tags']) )
{
  require_once('bin/qti_fn_tags.php');
  $arrTags = $oSEC->GetTagsUsed($s,50);
  if ( count($arrTags)>0 ) 
  {
    if ( count($arrTags)>5 ) 
    {
    echo '<p class="tagbox">'.$L['Show_only_tag'],'</p><div class="tagbox">';
    foreach($arrTags as $strTag)
    {
      echo '<a class="tag',(count($arrTags)>12 ? ' small' : ''),'" href="qti_search_re.php?a=tst&amp;s=',$s,'&amp;y=',date('Y'),'&amp;k1=-1&amp;k2=-1&amp;k3=',$strTag,'">',$strTag,'</a>&nbsp; ';
    }
    echo '</div>';
    }
    else
    {
    echo '<p class="tagline">'.$L['Show_only_tag'];
    foreach($arrTags as $strTag)
    {
      echo ' <span class="tagline" title=""><a class="tag" href="qti_search_re.php?a=tst&amp;s=',$s,'&amp;y=',date('Y'),'&amp;k1=-1&amp;k2=-1&amp;k3=',$strTag,'">',$strTag,'</a></span>';
    }
    echo '</p>';
    }
  }
}

// MAP MODULE

if ( $bMap )
{
  if ( count($arrMapPoints)==0 )
  {
  echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>';
  }
  else
  {
     //select zoomto (maximum 15 items in the list)
     if ( count($arrMapPoints)>1 )
     {
       $str = '<p class="gmap" style="margin:0 0 4px 0"><a class="gmap" href="javascript:void(0)" onclick="zoomToFullExtend(); return false;">'.$L['map']['zoomtoall'].'</a> | '.$L['Goto'].' <select class="gmap" id="zoomto" name="zoomto" size="1" onchange="map.setCenter(eval(this.value));">';
       $str .= '<option class="gmap" value="new GLatLng('.QTgety($_SESSION[QT]['m_map_gcenter']).','.QTgetx($_SESSION[QT]['m_map_gcenter']).')"> </option>';
       $i=0;
       foreach($arrMapPoints as $intKey=>$oMapPoint)
       {
       $str .= '<option class="gmap" value="new GLatLng('.$oMapPoint->y.','.$oMapPoint->x.')">'.$oMapPoint->title.'</option>';
       $i++; if ( $i>15 ) break;
       }
       $str .= '</select></p>';
     }

  echo '
  <table class="hidden" style="margin-top:5px;">
  <tr class="hidden">
  <td class="gmap">
  ';
  if ( count($arrMapPoints)>1 && !$_SESSION[QT]['m_map_hidelist'] ) echo $str;
  if ( !$_SESSION[QT]['m_map_hidelist'] )
  {
  echo '<div id="map_canvas" style="width:100%; height:350px;"></div>';
  }
  echo '
  <p class="gmap" style="margin:4px 0 0 0">',sprintf($L['map']['items'],strtolower( LangS('Topic',count($arrMapPoints))),strtolower(LangS('Topic',$oSEC->topics)) ),'</p>
  ';
  echo '</td>
  </tr>
  </table>
  ';
  }
  if ( count($arrMapPoints)!=0 )
  {
    if ( $_SESSION[QT]['m_map_hidelist'] ) 
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;showmap">',$L['map']['Show_map'],'</a></p>';
    }
    else
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;hidemap">',$L['map']['Hide_map'],'</a></p>';
    }
  }
}

// ---------
// HTML END
// ---------

if ( $bMap ) {
if ( count($arrMapPoints)>0 ) {

  $y = floatval(QTgety($_SESSION[QT]['m_map_gcenter']));
  $x = floatval(QTgetx($_SESSION[QT]['m_map_gcenter']));

  // center on the first ticket
  foreach($arrMapPoints as $intKey=>$oMapPoint)
  {
    if ( !empty($oMapPoint->y) && !empty($oMapPoint->x) )
    {
    $y = $oMapPoint->y;
    $x = $oMapPoint->x;
    break;
    }
  }
  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'click',$arrMapPoints).N.'mapload();';

}}

include('qti_p_footer.php');

?>